AWS
probe ASG

# desired_equals_healthy_tags

Returns if desired number matches the number of healthy instances for each of the auto-scaling groups matching tags provided

Run it now
View details

Type | probe
Module | chaosaws.asg.probes
Name | desired_equals_healthy_tags
Return | boolean

Usage

JSON

    {
      "name": "desired-equals-healthy-tags",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.probes",
        "func": "desired_equals_healthy_tags",
        "arguments": {
          "tags": []
        }
      }
    }

YAML

    name: desired-equals-healthy-tags
    provider:
      arguments:
        tags: []
      func: desired_equals_healthy_tags
      module: chaosaws.asg.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags

`tags` are expected as:

    [{
        'Key': 'KeyName',
        'Value': 'KeyValue'
    },
    ...
    ]

Signature

    def desired_equals_healthy_tags(
            tags: List[Dict[str, str]],
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  probe ASG

  ## `wait_desired_equals_healthy`

  Wait until the desired number matches the number of healthy instances for each auto-scaling group
- AWS
  probe ASG

  ## `desired_equals_healthy`

  Returns if desired number matches the number of healthy instances for each of the auto-scaling groups
- AWS
  action ASG

  ## `terminate_random_instances`

  Terminates one or more random healthy instances associated to an ALB